Bug 1566427 - "satellite-installer --help" command is not correct in Satellite 6.2 documentation guide
Summary: "satellite-installer --help" command is not correct in Satellite 6.2 documen...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Install Guide
Version: 6.2.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Vlada Grosu
QA Contact: csherrar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 09:57 UTC by Hardik Dalwadi
Modified: 2019-09-25 20:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 08:22:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Hardik Dalwadi 2018-04-12 09:57:51 UTC
Document URL: 

[1] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/installation_guide/#performing_initial_configuration_sat_server_manual

[2] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/installation_guide/#performing_initial_configuration_sat_server_answerfile

[3] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/installation_guide/#configuring_dns_dhcp_tftp_satellite

[4] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/installation_guide/#configuring_capsule_default_certificate

[5] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/installation_guide/#configuring_dns_dhcp_tftp_capsule

[6] https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html-single/installation_guide/#configuring_capsule_custom_server_certificate

Section Number and Name: 

[1] 3.3.3. Performing the Initial Configuration Manually
[2] 3.3.4. Configuring Red Hat Satellite with an Answer File
[3] 3.5.4. Configuring DNS, DHCP, and TFTP on Satellite Server
[4] 4.6.1. Configuring Capsule Server with a Default Server Certificate
[5] 4.7.5. Configuring DNS and DHCP on Capsule Server
[6] 4.7.6.4. Install the Capsule Server’s Custom Certificate

Describe the issue:

Documentation suggests to use command "satellite-installer --help" to display the available options and any default values, but suggested command gives error as shown below.

~~~
[root@sat62 ~]# satellite-installer  --help
ERROR: No installation scenario was selected, the installer can not continue.
       Even --help content is dependent on selected scenario.
       Select scenario with --scenario SCENARIO or list available scenarios with --list-scenarios.
[root@sat62 ~]# 
~~~ 

Suggestions for improvement:

"satellite-installer" help is available as per scenarios

1. --scenario capsule
2. --scenario satellite

So, help would be available as per scenario.

1. satellite-installer --scenario capsule --help
2. satellite-installer --scenario satellite --help
 

Additional information: 

There are chances that other document could have same problem.

Regards, 
-- 
HARDIK DALWADI
TECHNICAL ACCOUNT MANAGER, Red Hat, Inc.
hdalwadi@redhat.com

Comment 1 Andrew Dahms 2018-04-13 02:01:40 UTC
Assigning to Vlada for review.

Vlada - see the above feedback. This looks like it applies specifically to the 6.2 documentation, but we might want to check the 6.3 and later content to see if the same references appear there as well.


Note You need to log in before you can comment on or make changes to this bug.